#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QCursor>

MainWindow::MainWindow(QWidget *parent) : QMainWindow(parent), _ui(new Ui::MainWindow) {
	_ui->setupUi(this);
	
	connect(_ui->drawWidget, &DrawWidget::mouseInfo, this, &MainWindow::onMouseInfo);
	
	move(127, 113);
	setWindowFlag(Qt::FramelessWindowHint);
}


MainWindow::~MainWindow() {
	delete _ui;
}

void MainWindow::onMouseInfo(const QPoint &cPos, const QPointF &cPosF, const QPoint &cGlobalPos,
                             const QPointF &cScreenPos, const QPointF &cWindowPos) {
	_ui->editLocalX->setValue(cPos.x());
	_ui->editLocalY->setValue(cPos.y());
	_ui->editLocalFX->setValue(cPosF.x());
	_ui->editLocalFY->setValue(cPosF.y());
	_ui->editGlobalX->setValue(cGlobalPos.x());
	_ui->editGlobalY->setValue(cGlobalPos.y());
	_ui->editScreenX->setValue(cScreenPos.x());
	_ui->editScreenY->setValue(cScreenPos.y());
	_ui->editWindowX->setValue(cWindowPos.x());
	_ui->editWindowY->setValue(cWindowPos.y());
	
	QPoint cursorPos = QCursor::pos();
	_ui->editQCursorX->setValue(cursorPos.x());
	_ui->editQCursorY->setValue(cursorPos.y());
	
	QPoint mainWindowPos = pos();
	_ui->editMainWindowX->setValue(mainWindowPos.x());
	_ui->editMainWindowY->setValue(mainWindowPos.y());
	
	QPoint expected = cursorPos - mainWindowPos;
	QPoint error = cPos - expected;
	_ui->editErrorX->setValue(error.x());
	_ui->editErrorY->setValue(error.y());
}

